package ovh.herisson.Clyde.EndPoints;


import org.springframework.web.bind.annotation.*;
import ovh.herisson.Clyde.Repositories.UserRepository;
import ovh.herisson.Clyde.Tables.User;


@RestController
@CrossOrigin(origins = "http://localhost:5173")
public class UserController {

    private final UserRepository userRepo;

    public UserController(UserRepository userRepo){
        this.userRepo = userRepo;
    }

    @GetMapping("/users")
    public Iterable<User> getUsers(){
        return userRepo.findAll();
    }
    @PostMapping("/users")
    public void postUser(@RequestBody User user ){
        userRepo.save(user);
    }
}
